# Project

```python
class Project:
    id: str
    name: str
    description: Optional[str] = None
```

## Fields

<table><thead><tr><th width="192">Argument</th><th width="151">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>id</code></td><td><code>str</code></td><td>The ID of the Project. Project ID starts with the prefix <code>proj_</code></td></tr><tr><td><code>name</code></td><td><code>str</code></td><td>The name of the Project. Project names have to be unique.</td></tr><tr><td><code>description</code></td><td><code>str</code></td><td>An optional description of the Project. Descriptions are limited to 255 characters.</td></tr></tbody></table>

## Supported Functions

[`dbnl.create_project`](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/project/create_project)

[`dbnl.get_project`](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/project/get_project)

[`dbnl.get_or_create_project`](https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-functions/project/get_or_create_project)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.dbnl.com/v0.21.x/using-distributional/python-sdk/sdk-objects/project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
